Subject: Re: bug#45455: [nextstep]: Emacs master does not compile on Apple Silicon (arm64)

From: Artem Loenko <[email-masked]>
Date: Mon, 28 Dec 2020 11:06:56 +0000

> On 28 Dec 2020, at 03:27, Eli Zaretskii <[email-masked]> wrote:
> 
>> Date: Sun, 27 Dec 2020 21:37:23 +0000
>> Cc: [email-masked]
>> From: Artem Loenko via "Bug reports for GNU Emacs,
>> the Swiss army knife of text editors" <[email-masked]>
>> 
>> I see two options:
>> 
>> - Backport `arm64:Darwin:*:*)` support within `config.guess` to emacs-27 branch and switch to
>> `aarch64-apple-darwin` everywhere
>> - Do not backport, but switch to `aarch64-apple-darwin` everywhere anyway :)
>> 
>> What do you think?
> 
> The latter, please.  It's too late to backport config.guess to the
> release branch, and I see no good reason to do so.

Then the patch in the initial message will do. We have to apply it to the master and emacs-27 (if there will be more releases from it) branches. I just checked, Emacs compiles fine on both branches with the patch on Apple Silicon. Or we can revert the following commit – https://git.savannah.gnu.org/cgit/emacs.git/commit/?h=emacs-27&id=fda9b3e83a434706c31ab1bee5c15511c0181d5a <https://git.savannah.gnu.org/cgit/emacs.git/commit/?h=emacs-27&id=fda9b3e83a434706c31ab1bee5c15511c0181d5a>

Philipp, are okay with this?